Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 620736 - net-misc/teamviewer depends on dev-qt/qtwebkit:4
Summary: net-misc/teamviewer depends on dev-qt/qtwebkit:4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Wolfram Schlich (RETIRED)
URL:
Whiteboard: Masked for removal on 2017-12-16
Keywords: PMASKED
Depends on: 621818
Blocks: qtwebkit4-removal
  Show dependency tree
 
Reported: 2017-06-04 07:30 UTC by Michael Palimaka (kensington)
Modified: 2017-12-19 00:19 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Palimaka (kensington) gentoo-dev 2017-06-04 07:30:56 UTC
net-misc/teamviewer depends on dev-qt/qtwebkit:4 which is ancient and will never see any security updates.

Since this appears to be a binary-only package I'm not sure what can be done about it long term (especially considering that Qt 4 is dead too).
Comment 1 Wolfram Schlich (RETIRED) gentoo-dev 2017-06-06 06:16:18 UTC
This seems to be limited to /opt/teamviewer12/tv_bin/TVGuiDelegate
I'll check with the vendor.
Comment 2 Andreas Sturmlechner gentoo-dev 2017-08-13 08:42:44 UTC
Any progress here?
Comment 3 Ortwin Glueck 2017-10-23 14:03:39 UTC
see also #620684
Comment 4 Sven Eden 2017-10-29 12:56:50 UTC
I have teamviewer 8 in my overlay (seden@layman) and it does not depend on qtwebkit or anything else from qt.

Seeing it now being hard masked with a wrong reason is disturbing.

The problem with teamviewer is its licensing. My company only has a license for teamviewer 8, so I can not upgrade and *must* have an ebuild laying around.

Before you now think: Okay, that is an overlay problem, so it is not my problem, the same applies for teamviewer 9, too.
Teamviewer does not use qt before version 10.

So please limit this mask to teamviewer 10+, if you must. The mask is simply *wrong* for all versions below version 10.
Comment 5 NP-Hardass gentoo-dev 2017-10-29 21:03:41 UTC
(In reply to Sven Eden from comment #4)> 
> Seeing it now being hard masked with a wrong reason is disturbing.

Let's ease up on the melodramatics, please...   It surely wasn't done purposefully.  Fxed in fde05983de54675371383a3bd23c782fc4d4011f.
Comment 6 Andreas Sturmlechner gentoo-dev 2017-10-29 22:23:58 UTC
(In reply to Sven Eden from comment #4)
> Seeing it now being hard masked with a wrong reason is disturbing.
If that's what it took to get a reply...
Comment 7 NP-Hardass gentoo-dev 2017-10-29 23:08:09 UTC
(In reply to Andreas Sturmlechner from comment #6)
> (In reply to Sven Eden from comment #4)
> > Seeing it now being hard masked with a wrong reason is disturbing.
> If that's what it took to get a reply...

That was the first message regarding wrongly tagging older versions that aren't in the tree...

And there was no other reply in the thread because upstream hasn't responded to me at all, and I have no idea, but I suspect wschilich is the same way.
Comment 8 Sernin van de Krol 2017-10-30 15:11:06 UTC
Can you also limit it to exclude TeamViewer 13 and above? Starting with their betas for 13, they use Qt5.
Comment 9 Andreas Sturmlechner gentoo-dev 2017-10-30 21:33:53 UTC
(In reply to Sernin van de Krol from comment #8)
> Can you also limit it to exclude TeamViewer 13 and above? Starting with
> their betas for 13, they use Qt5.
If that is the case, then those betas should be packaged and previous versions dropped from tree.
Comment 10 NP-Hardass gentoo-dev 2017-10-31 00:45:59 UTC
(In reply to Sernin van de Krol from comment #8)
> Can you also limit it to exclude TeamViewer 13 and above? Starting with
> their betas for 13, they use Qt5.

And no wine, afaict.

@wschlich, are you able to confirm and update packaging?  If so, I'd like to drop wine project's maintainership as part of the cleanup.
Comment 11 Larry the Git Cow gentoo-dev 2017-11-16 18:55:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e799631b67e2fc4dab217b90720b3ad7eeaa347

commit 7e799631b67e2fc4dab217b90720b3ad7eeaa347
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-11-16 18:52:49 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-11-16 18:55:11 +0000

    profiles: Initiate last-rites for Qt4WebKit and remaining rdeps
    
    Bug: https://bugs.gentoo.org/620684
    Bug: https://bugs.gentoo.org/620702
    Bug: https://bugs.gentoo.org/620736
    Bug: https://bugs.gentoo.org/620826

 profiles/package.mask | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)}
Comment 12 Hanno Zysik (geki) 2017-12-02 13:05:26 UTC
Anyone interested to do an ebuild for teamviewer 13 preview announced here:
https://community.teamviewer.com/t5/Linux/Update-TeamViewer-13/m-p/24537

Links to native Qt tarballs are at the end of the post.
Comment 13 Andreas Sturmlechner gentoo-dev 2017-12-14 10:23:28 UTC
Two days left, has no one taken a look at bug 621818 yet?
Comment 14 Larry the Git Cow gentoo-dev 2017-12-19 00:19:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10c2ceaeed402f8f73447dbac9a1bfceb00aef02

commit 10c2ceaeed402f8f73447dbac9a1bfceb00aef02
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-12-18 02:16:16 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-12-19 00:18:57 +0000

    net-misc/teamviewer: Drop last-rited versions
    
    Closes: https://bugs.gentoo.org/620736
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-misc/teamviewer/Manifest                     |   3 -
 net-misc/teamviewer/files/teamviewer.sh          |  47 --------
 net-misc/teamviewer/files/teamviewerd.conf       |   6 --
 net-misc/teamviewer/files/teamviewerd.init       |  30 ------
 net-misc/teamviewer/teamviewer-10.0.46203.ebuild | 129 ----------------------
 net-misc/teamviewer/teamviewer-11.0.67687.ebuild | 131 -----------------------
 net-misc/teamviewer/teamviewer-12.0.85001.ebuild | 131 -----------------------
 7 files changed, 477 deletions(-)